GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends
gdcm::CommandDataSet Class Reference

Class to represent a Command DataSet. More...

`#include <gdcmCommandDataSet.h>`

Inheritance diagram for gdcm::CommandDataSet:
[legend]
Collaboration diagram for gdcm::CommandDataSet:
[legend]

List of all members.

## Public Member Functions

| CommandDataSet ()
| ~CommandDataSet ()
void | Insert (const DataElement &de)
std::istream & | Read (std::istream &is)
| Read.
void | Replace (const DataElement &de)
| Replace a dataelement with another one.
std::ostream & | Write (std::ostream &os) const
| Write.

## Friends

std::ostream & | operator<< (std::ostream &_os, const CommandDataSet &_val)

## Detailed Description

Class to represent a Command DataSet.

See also:
  DataSet

## Constructor & Destructor Documentation

gdcm::CommandDataSet::CommandDataSet | ( |  | ) | `[inline]`

gdcm::CommandDataSet::~CommandDataSet | ( |  | ) | `[inline]`

## Member Function Documentation

void gdcm::CommandDataSet::Insert | ( | const DataElement & | de | ) | `[inline]`

Insert a DataElement in the DataSet.

Warning:
  : Tag need to be >= 0x8 to be considered valid data element

Reimplemented from gdcm::DataSet.

References gdcmErrorMacro, gdcm::Tag::GetGroup(), and gdcm::DataElement::GetTag().

std::istream& gdcm::CommandDataSet::Read | ( | std::istream & | is | ) |

Read.

Reimplemented from gdcm::DataSet.

void gdcm::CommandDataSet::Replace | ( | const DataElement & | de | ) | `[inline]`

Replace a dataelement with another one.

Reimplemented from gdcm::DataSet.

References gdcm::DataElement::GetTag().

std::ostream& gdcm::CommandDataSet::Write | ( | std::ostream & | os | ) | const

Write.

Reimplemented from gdcm::DataSet.

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const CommandDataSet & | _val
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmCommandDataSet.h